Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPavel Roskin <proski@gnu.org>2005-11-11 08:19:04 +0300
committerJunio C Hamano <junkio@cox.net>2005-11-11 12:15:00 +0300
commit0e9ab02da77fcf59fdb7d8201d3c5546cd346e63 (patch)
treef826eed5fc0bbd6a8e335c6a90faba0e12ae1f7d /git-clone.sh
parent601c978c1bc9f6742c18932cb9d4a6910934f785 (diff)
git-clone: quote destination directory name
git-clone doesn't quote the full path to the destination directory, which causes it to fail if the path contains spaces or other characters interpreted by the shell. [jc: obviously I was not careful enough. Pavel, thanks for catching.] Signed-off-by: Pavel Roskin <proski@gnu.org> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-clone.sh')
-rwxr-xr-xgit-clone.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/git-clone.sh b/git-clone.sh
index aafcc18aba..f5ef70b8af 100755
--- a/git-clone.sh
+++ b/git-clone.sh
@@ -163,7 +163,7 @@ yes,yes)
rm -f "$D/.git/TMP_ALT"
if test -f "$D/.git/TMP_ALT"
then
- ( cd $D &&
+ ( cd "$D" &&
. git-parse-remote &&
resolve_alternates "$repo" <"./.git/TMP_ALT" ) |
while read alt
@@ -191,7 +191,7 @@ yes,yes)
;;
esac
-cd $D || exit
+cd "$D" || exit
if test -f ".git/HEAD"
then